<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/Audio/EqualizerTypes.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">EqualizerTypes.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_equalizer_types_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_AUDIO_EQUALIZERTYPES_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_AUDIO_EQUALIZERTYPES_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="hash_8h.html">AVSCommon/Utils/functional/hash.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_success_result_8h.html">AVSCommon/Utils/Error/SuccessResult.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacesdk_interfaces.html">sdkInterfaces</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>audio {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">   34</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">BASS</a>,</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">MIDRANGE</a>,</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">TREBLE</a></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;};</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a523357943786773d11573da5ddf89768">   46</a></span>&#160;<span class="keyword">const</span> std::array&lt;EqualizerBand, 3&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a523357943786773d11573da5ddf89768">EqualizerBandValues</a> = {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    {<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">EqualizerBand::BASS</a>, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">EqualizerBand::MIDRANGE</a>, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">EqualizerBand::TREBLE</a>}};</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">   53</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> {</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">NONE</a>,</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">MOVIE</a>,</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">MUSIC</a>,</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">NIGHT</a>,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">SPORT</a>,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">TV</a></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;};</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2f2c6a5a2f45a603d76c81d944f354a9">   71</a></span>&#160;<span class="keyword">const</span> std::array&lt;EqualizerMode, 6&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2f2c6a5a2f45a603d76c81d944f354a9">EqualizerModeValues</a> = {{<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">EqualizerMode::NONE</a>,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;                                                           <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">EqualizerMode::MOVIE</a>,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                                                           <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">EqualizerMode::MUSIC</a>,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                                                           <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">EqualizerMode::NIGHT</a>,</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                                                           <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">EqualizerMode::SPORT</a>,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;                                                           <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">EqualizerMode::TV</a>}};</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">   79</a></span>&#160;<span class="keyword">using</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">EqualizerBandLevelMap</a> = std::unordered_map&lt;EqualizerBand, int, utils::functional::EnumClassHash&gt;;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">   84</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a> {</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#a50fd7280e53f2aeae91f3a572d5a9a0a">   86</a></span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#a50fd7280e53f2aeae91f3a572d5a9a0a">mode</a>;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8">   88</a></span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">EqualizerBandLevelMap</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8">bandLevels</a>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;};</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">   91</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">operator==</a>(<span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a>&amp; state1, <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a>&amp; state2) {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordflow">return</span> state1.<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#a50fd7280e53f2aeae91f3a572d5a9a0a">mode</a> == state2.<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#a50fd7280e53f2aeae91f3a572d5a9a0a">mode</a> &amp;&amp; state1.<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8">bandLevels</a> == state2.<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8">bandLevels</a>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;}</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a99a1a95fd294c1fb0369c0bd97cf69f3">  101</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a99a1a95fd294c1fb0369c0bd97cf69f3">equalizerBandToString</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> band) {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordflow">switch</span> (band) {</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">EqualizerBand::BASS</a>:</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;BASS&quot;</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">EqualizerBand::MIDRANGE</a>:</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;MIDRANGE&quot;</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">EqualizerBand::TREBLE</a>:</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;TREBLE&quot;</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;UNKNOWN&quot;</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;}</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">  121</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">operator&lt;&lt;</a>(std::ostream&amp; stream, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> band) {</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a99a1a95fd294c1fb0369c0bd97cf69f3">equalizerBandToString</a>(band);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a86c5e6680d3ecdc0c02ce6069cebf33d">  131</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a86c5e6680d3ecdc0c02ce6069cebf33d">equalizerModeToString</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> mode) {</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">switch</span> (mode) {</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">EqualizerMode::NONE</a>:</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;NONE&quot;</span>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">EqualizerMode::MOVIE</a>:</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;MOVIE&quot;</span>;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">EqualizerMode::MUSIC</a>:</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;MUSIC&quot;</span>;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">EqualizerMode::NIGHT</a>:</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;NIGHT&quot;</span>;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">EqualizerMode::SPORT</a>:</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;SPORT&quot;</span>;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">EqualizerMode::TV</a>:</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;TV&quot;</span>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    }</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;UNKNOWN&quot;</span>;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;}</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#ab88228b626f903133c7011fb8a250d56">  157</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">operator&lt;&lt;</a>(std::ostream&amp; stream, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> mode) {</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a86c5e6680d3ecdc0c02ce6069cebf33d">equalizerModeToString</a>(mode);</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;}</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a7016a96eaf1181d96474af6619a2fb97">  167</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html">utils::error::SuccessResult&lt;EqualizerBand&gt;</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a7016a96eaf1181d96474af6619a2fb97">stringToEqualizerBand</a>(<span class="keyword">const</span> std::string&amp; stringValue) {</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;BASS&quot;</span>) {</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerBand&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">EqualizerBand::BASS</a>);</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    }</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;MIDRANGE&quot;</span>) {</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerBand&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">EqualizerBand::MIDRANGE</a>);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    }</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;TREBLE&quot;</span>) {</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerBand&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">EqualizerBand::TREBLE</a>);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    }</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a15898c8b2f40c6cc8eaac5520c01f245">utils::error::SuccessResult&lt;EqualizerBand&gt;::failure</a>();</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;}</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2b96af0e439453f778cf20fd365f0b2e">  189</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html">utils::error::SuccessResult&lt;EqualizerMode&gt;</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2b96af0e439453f778cf20fd365f0b2e">stringToEqualizerMode</a>(<span class="keyword">const</span> std::string&amp; stringValue) {</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;NONE&quot;</span>) {</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">EqualizerMode::NONE</a>);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    }</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;MOVIE&quot;</span>) {</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">EqualizerMode::MOVIE</a>);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    }</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;MUSIC&quot;</span>) {</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">EqualizerMode::MUSIC</a>);</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    }</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;NIGHT&quot;</span>) {</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">EqualizerMode::NIGHT</a>);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    }</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;SPORT&quot;</span>) {</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">EqualizerMode::SPORT</a>);</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    }</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordflow">if</span> (stringValue == <span class="stringliteral">&quot;TV&quot;</span>) {</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">utils::error::SuccessResult&lt;EqualizerMode&gt;::success</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">EqualizerMode::TV</a>);</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    }</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a15898c8b2f40c6cc8eaac5520c01f245">utils::error::SuccessResult&lt;EqualizerMode&gt;::failure</a>();</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;}</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;}  <span class="comment">// namespace audio</span></div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;}  <span class="comment">// namespace sdkInterfaces</span></div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_AUDIO_EQUALIZERTYPES_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state_html_aaf57c83932ac7a668e52b88944502bc8"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState::bandLevels</a></div><div class="ttdeci">EqualizerBandLevelMap bandLevels</div><div class="ttdoc">Device supported bands with their levels. </div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:88</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::MUSIC</a></div><div class="ttdoc">Music equalizer mode. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::NIGHT</a></div><div class="ttdoc">Night equalizer mode. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::MIDRANGE</a></div><div class="ttdoc">Mid-range equalizer band. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::TV</a></div><div class="ttdoc">TV equalizer mode. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a9e92dbf094527d2bf8ead4429f0ef9ea"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a></div><div class="ttdeci">std::unordered_map&lt; EqualizerBand, int, utils::functional::EnumClassHash &gt; EqualizerBandLevelMap</div><div class="ttdoc">A collection of bands with their level values. This is an alias for EqualizerBand to band level (int)...</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:79</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aefac08194235035b5ea98c255dd6081e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand</a></div><div class="ttdeci">EqualizerBand</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:34</div></div>
<div class="ttc" id="hash_8h_html"><div class="ttname"><a href="hash_8h.html">hash.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a99a1a95fd294c1fb0369c0bd97cf69f3"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a99a1a95fd294c1fb0369c0bd97cf69f3">alexaClientSDK::avsCommon::sdkInterfaces::audio::equalizerBandToString</a></div><div class="ttdeci">std::string equalizerBandToString(EqualizerBand band)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:101</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::BASS</a></div><div class="ttdoc">Bass equalizer band. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::TREBLE</a></div><div class="ttdoc">Treble equalizer band. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::MOVIE</a></div><div class="ttdoc">Movie equalizer mode. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a706d31c0871558653a14349fe34dd2e1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">alexaClientSDK::avsCommon::sdkInterfaces::audio::operator==</a></div><div class="ttdeci">bool operator==(const EqualizerState &amp;state1, const EqualizerState &amp;state2)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:91</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result_html_a15898c8b2f40c6cc8eaac5520c01f245"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a15898c8b2f40c6cc8eaac5520c01f245">alexaClientSDK::avsCommon::utils::error::SuccessResult::failure</a></div><div class="ttdeci">static SuccessResult&lt; TValue &gt; failure()</div><div class="ttdef"><b>Definition:</b> SuccessResult.h:87</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a523357943786773d11573da5ddf89768"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a523357943786773d11573da5ddf89768">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandValues</a></div><div class="ttdeci">const std::array&lt; EqualizerBand, 3 &gt; EqualizerBandValues</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:46</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a86c5e6680d3ecdc0c02ce6069cebf33d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a86c5e6680d3ecdc0c02ce6069cebf33d">alexaClientSDK::avsCommon::sdkInterfaces::audio::equalizerModeToString</a></div><div class="ttdeci">std::string equalizerModeToString(EqualizerMode mode)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:131</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState</a></div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:84</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode</a></div><div class="ttdeci">EqualizerMode</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:53</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html">alexaClientSDK::avsCommon::utils::error::SuccessResult</a></div><div class="ttdef"><b>Definition:</b> SuccessResult.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result_html_a348e53f25fffdb08e494c6162e107215"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a348e53f25fffdb08e494c6162e107215">alexaClientSDK::avsCommon::utils::error::SuccessResult::success</a></div><div class="ttdeci">static SuccessResult&lt; TValue &gt; success(TValue value)</div><div class="ttdef"><b>Definition:</b> SuccessResult.h:92</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::NONE</a></div><div class="ttdoc">Equalizer mode representing default (no mode) behavior. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a2b96af0e439453f778cf20fd365f0b2e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2b96af0e439453f778cf20fd365f0b2e">alexaClientSDK::avsCommon::sdkInterfaces::audio::stringToEqualizerMode</a></div><div class="ttdeci">utils::error::SuccessResult&lt; EqualizerMode &gt; stringToEqualizerMode(const std::string &amp;stringValue)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:189</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_success_result_8h_html"><div class="ttname"><a href="_success_result_8h.html">SuccessResult.h</a></div></div>
<div class="ttc" id="namespacesdk_interfaces_html"><div class="ttname"><a href="namespacesdk_interfaces.html">sdkInterfaces</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a2f2c6a5a2f45a603d76c81d944f354a9"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2f2c6a5a2f45a603d76c81d944f354a9">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerModeValues</a></div><div class="ttdeci">const std::array&lt; EqualizerMode, 6 &gt; EqualizerModeValues</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:71</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::SPORT</a></div><div class="ttdoc">Sport equalizer mode. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aa41e8bf5cdca313769fd238ec8df92f8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">alexaClientSDK::avsCommon::sdkInterfaces::audio::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, EqualizerBand band)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:121</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a7016a96eaf1181d96474af6619a2fb97"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a7016a96eaf1181d96474af6619a2fb97">alexaClientSDK::avsCommon::sdkInterfaces::audio::stringToEqualizerBand</a></div><div class="ttdeci">utils::error::SuccessResult&lt; EqualizerBand &gt; stringToEqualizerBand(const std::string &amp;stringValue)</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:167</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state_html_a50fd7280e53f2aeae91f3a572d5a9a0a"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#a50fd7280e53f2aeae91f3a572d5a9a0a">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState::mode</a></div><div class="ttdeci">EqualizerMode mode</div><div class="ttdoc">Equalizer mode selected. Use EqualizerMode::NONE value to represent no specific mode. </div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:86</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
